<!doctype html>
<html>
<head>
    <title>Google funds an auto-update for Vidalia | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Google funds an auto-update for Vidalia | Tor Project">
    <meta property="og:description" content="Google is funding a project to create an auto-update feature in Vidalia. This auto-update...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/google-funds-auto-update-vidalia/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Google funds an auto-update for Vidalia
      </h1>
    <p class="meta">by phobos | June 7, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Google is funding a project to create an auto-update feature in Vidalia.  This <a href="https://www.torproject.org/projects/google" rel="nofollow">auto-update feature</a> will provide a better user experience for Tor users.  The goal is to create a system where Vidalia can detect when a new release is available, fetch the package, verify authenticity, and assist the user in upgrading the Vidalia/Tor package.  The auto-update feature preserves the user's privacy and anonymity.  Over the next six months we'll develop the auto-update system for general release around November 15, 2008.  </p>

<p>We're excited to work with Google on this project and look forward to the collaboration.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/fundraising">
          fundraising
        </a>
      </li><li>
        <a href="../category/network">
          network
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-84"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-84" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 07, 2008</p>
    </div>
    <a href="#comment-84">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-84" class="permalink" rel="bookmark">Just curious, any chance one</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Just curious, any chance one could use sparkle (<a href="http://sparkle.andymatuschak.org/" rel="nofollow">http://sparkle.andymatuschak.org/</a>) for the OSX side?</p>
<p>From sparkle main page...<br />
"Sparkle can install .pkg files for more complicated products."</p>
<p>This would be really cool.</p>
<p>BTW: the CAPTCHA sucks, It does not work over tor!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-127"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-127" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 11, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-84" class="permalink" rel="bookmark">Just curious, any chance one</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-127">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-127" class="permalink" rel="bookmark">yes it does</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>the captcha works fine over tor.</p>
<p>sparkle is osx only? and not open source?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-90"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-90" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 17, 2008</p>
    </div>
    <a href="#comment-90">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-90" class="permalink" rel="bookmark">hey sounds good to me, many</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hey sounds good to me, many Windows users can already use the Vidalia bundle to easily run Tor, but having an auto-update feature would be the icing on the cake!</p>
<p>btw the CAPTCHA shows up fine for me using Tor, it is currently the "What is the ___ word in the phrase ____ ?" type.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-94"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-94" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2008</p>
    </div>
    <a href="#comment-94">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You guys are seriously starting to work with google, one of the companies, known to be collecting and storing as many information as possible of everyone ever having used their searchmachine?<br />
Are you crazy? Have you been bribed?<br />
To me this sounds more than ridiculous, since Google still refuses to stop their "information-collecting-behaviour", and also refuses to give any information about what exactly they are doing with all the information having been stored by them over the years!<br />
Besides, Google resides in the US, which is one of the leading countries giving a shit on "privacy" and "anonymity".<br />
This is like the guard inviting the thief to work with each other.</p>
<p>If TOR users are not able to update their clients themselves, they should  not use programs as TOR, but rather stick to all the prgrams that offer everything possible to automate -and also hide- as much as possible and help make/keep the users minor and dependent.<br />
Thank you guys, that was it for me concerning TOR.<br />
What a pitty.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-97"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-97" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mikeperry
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mikeperry said:</p>
      <p class="date-time">June 24, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-97">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-97" class="permalink" rel="bookmark">Strange Bedfellows? Hardly...</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I actually initiated and helped to arrange this sponsorship, and I am about as ardent an opponent to long term tracking, profiling, and dragnet surveillance as you can get (see <a href="http://www.defcon.org/html/defcon-15/dc-15-speakers.html#Perry" rel="nofollow">my Defcon 15 bio, for instance</a>). </p>
<p>I initiated it because I do not believe that Google and Tor need be enemies. In fact, I believe we are in a position to be quite symbiotic, providing people with the opportunity to opt-out of censorship and surveillance that would otherwise reduce their Google usage due to chill and concerns over tracking.</p>
<p>Many Google users (in the USA and abroad) either cannot use Google effectively to conduct their work because certain arbitrary words are blocked by content filters put in place by their employers, schools, and governments; or they are concerned about privacy and would like to keep some queries disassociated from their Google accounts.</p>
<p>These users can still provide revenue for Google via adwords, but the advances in the new Torbutton extension prevent all known methods of long term correlation, tracking, profiling, and fingerprinting (see <a href="https://torbutton.torproject.org/dev/design" rel="nofollow">the Torbutton design document</a> for technical details). This is the line we have drawn with code that is open and auditable: "Revenue is OK, long term tracking is not."</p>
<p>These users are also in a position where continual changes to censorship filters are going to necessitate a secure, automatic update process to keep their Tor clients connected and ahead of the censors. They will often be unable to access the main Tor website and many of its mirrors to perform updates themselves, and will need assistance by the software. The updates will be authenticated, anonymized, will not be tracked or logged, and likely won't even be hosted by Google (unless they decide they would like to run a mirror that fits these requirements, and that will likely require extended evaluation on our part).</p>
<p>Because of this balance and our shared interests, it makes perfect economic and social sense for Google to sponsor Tor, and for Tor to accept this sponsorship. Enlightened self-interest is a wonderful thing ;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-98"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-98" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Nick Mathewson (not verified)</span> said:</p>
      <p class="date-time">June 24, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-98">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-98" class="permalink" rel="bookmark">Dear anonymous person,
Are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Dear anonymous person,</p>
<p>Are you sure you understood the post?  Google is not funding us to stop working on privacy, to weaken our privacy, to endorse Google, to endorse their policies, to endorse their search engine, or to do anything anti-privacy.  We would not take such funding from anybody if it were offered.</p>
<p>On the other hand, we will take funding to spend on developers to make Tor better, and that's what's been offered here.  Google has been quite helpful to the open source world in the past. Have you heard of the Summer of Code program?  This is the Tor Project's second year of participating in that, and contrary to what it seems you're suggesting, it hasn't made us stop supporting privacy.</p>
<p>&gt;Besides, Google resides in the US, which is one of the leading countries giving a shit on "privacy" and "anonymity".</p>
<p>It sounds like you're proposing a funding model where, if we have any points of disagreement with a company or individual, or even if we do not like the policies of the country in which they reside, we do not accept help from them.</p>
<p>This would certainly make our project more appealing to people who believe that every incidence of funding constitutes an unconditional mutual endorsement, but it has a problem: we would be able to do almost no development at all.</p>
<p>&gt;If TOR users are not able to update their clients themselves, they should not use programs as TOR, but rather stick to all the prgrams that offer everything possible to automate -and also hide- as much as possible and help make/keep the users minor and dependent.</p>
<p>Aside from the moral issues involved in giving up on helping people if they aren't good at computers, this suggestion would be bad for anonymity. Remember, anonymity systems like Tor hide users among other users.  Dividing users into "power users" and "everybody else", and helping only the power users, would create a much smaller network population, and making the network population smaller makes it less anonymous.  For more information, you might want to read <a href="http://freehaven.net/doc/wupss04/usability.pdf" rel="nofollow">Anonymity loves company: usability and the network effect</a>.</p>
<p>yrs,<br />
-Nick</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4280"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4280" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 07, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-98" class="permalink" rel="bookmark">Dear anonymous person,
Are</a> by <span>Nick Mathewson (not verified)</span></p>
    <a href="#comment-4280">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4280" class="permalink" rel="bookmark">Well, &quot;Nick&quot;.
First of all,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well, "Nick".<br />
First of all, we, as the end-users will NEVER know who will be able and for how long to detect and re-route for "updates". We'll never know who will be able to track of our activities. For instance you're claiming to be "honest" and fare guy. How do I know this for REAL? How do I know that your Network is not logging EVERY handshake and not transfered them for "inquired" individuals or group? Do I have a knowledge to check it? Hell no. Does everyone allowed to do so? Well, now Google DOES with all their "friendly" snitch into your codes. Secondly, its just sounds lame. The updates is never an issue, simply bc if SOMEONE is looking for a privacy, he is DEAD sure how to handle the importance of updates for such tool. To stop by at the developer's website is not that logical brainstorm, would u agree? And after SO much ideas being figured out you turn such a small stuff to Google?????????????????????<br />
And btw, please do not try to tell me that if Google will offer to hand you a few mills of USD, you'll reject it and get back to unfunded "open source" and continue for nothing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-126"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-126" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 11, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-126">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-126" class="permalink" rel="bookmark">umm, no</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>read the details fool,  they took google's money, not their evil bit.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-14870"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-14870" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2012</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-126" class="permalink" rel="bookmark">umm, no</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-14870">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-14870" class="permalink" rel="bookmark">SAME. FUCKING. THING. And</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>SAME. FUCKING. THING. And all Tor can say is, "trust us!" We will not allow their money to influence us!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-215"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-215" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 23, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-215">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-215" class="permalink" rel="bookmark">Why Google + Tor makes sense</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I see at least one reason why supporting Tor makes sense for Google.</p>
<p>Say, Google isn't entirely evil and wants to provide some way to use its services anonymously, for those who need it. The problem is, they _have to_ record certain data under European data retention laws, whether they want it or not. (For example, German data retention law requires forum operators to track IPs of all posters, which means Google Groups _must_ keep record of all IPs. Failure to do so may result in criminal prosecution).<br />
Tor, on the other hand, provides Google with a completely legal way to allow anonymous use: they fulfill their obligations by law (IP log is kept) but the poster remains anonymous.</p>
<p>I know a number of European forums and Usenet providers advising to use Tor for this exact reason: they warn users about logs they _must_ keep,  and recommend to use Tor for those willing to stay anonymous.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-374"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-374" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 17, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-215" class="permalink" rel="bookmark">Why Google + Tor makes sense</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-374">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-374" class="permalink" rel="bookmark">No, two major corrections</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>1.  Germany is not presently enforcing such a law.  JonDos is a law-abiding German company, and <a href="https://www.jondos.de/en/privacypolicy" rel="nofollow">the privacy policy of their website</a>, which includes a forum, is very friendly.   That said, there is a data retention law entering the enforcement stage in January.  I am unclear on how strict it will be.  In any case JonDos and the German Privacy Foundation are planning legal action against the law. </p>
<p>2.  The European Union has actually pressured Google to improve it's privacy policies. See:<br />
<a href="http://news.bbc.co.uk/1/hi/technology/6453137.stm" rel="nofollow">Privacy bodies back Google step</a><br />
<a href="http://www.searchenginejournal.com/google-privacy-policy-questions-by-european-union/5011/" rel="nofollow">Google Privacy Policy Questions by European Union</a><br />
<a href="http://www.redorbit.com/news/technology/971227/eu_google_privacy_changes_not_enough/index.html" rel="nofollow">EU: Google Privacy Changes 'Not Enough'</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-803"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-803" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-803">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-803" class="permalink" rel="bookmark">Tor working with Google</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I whole heartily agree.  Currently I am in Thailand where the government has setup mirroring servers to monitor and filter internet content.  Google not only works with this government but others as well on filtering and reporting of internet usage by the citizens of these countries.  Something for the for the freedom of the internet guys to really be proud of huh?  How low have they gone in search of the almighty dollar.  I agree Google and Tor certainly can not be a good mix for on line privacy.</p>
<p>And yes this is the worst Captcha ever.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1358"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1358" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>el chino (not verified)</span> said:</p>
      <p class="date-time">May 20, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-94" class="permalink" rel="bookmark">You guys are seriously</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1358">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1358" class="permalink" rel="bookmark">I agree, why add Google influence</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I agree  totally, why add Google influence  to Tor ,   it will be the beginning of the end.<br />
Yes , what a pitty.</p>
<p>Thanks for your comment on this, and thanks to the Tor team for making this available.</p>
<p>Tor Newbie</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1362"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1362" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">May 21, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1358" class="permalink" rel="bookmark">I agree, why add Google influence</a> by <span>el chino (not verified)</span></p>
    <a href="#comment-1362">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1362" class="permalink" rel="bookmark">read first</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>read nick's response the comments above yours.  just because google funded something doesn't mean tor equals google.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-95"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2008</p>
    </div>
    <a href="#comment-95">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95" class="permalink" rel="bookmark">What a pitty too</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Youtube a company of google had had censured video of some pages in sudamerica! This is weird for me too!</p>
<p><a href="http://www.rebelion.org/noticia.php?id=68244&amp;titular=usuarios-denuncian-el-cierre-de-cuenta-de-videos-de-aporrea-en-youtube" rel="nofollow">http://www.rebelion.org/noticia.php?id=68244&amp;titular=usuarios-denuncian…</a>-</p>
<p><a href="http://www.rebelion.org/noticia.php?id=52114" rel="nofollow">http://www.rebelion.org/noticia.php?id=52114</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-96"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-96" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2008</p>
    </div>
    <a href="#comment-96">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-96" class="permalink" rel="bookmark">do we need to have a google</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>do we need to have a google account to use the auto update feature?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-99"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-99" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Nick Mathewson (not verified)</span> said:</p>
      <p class="date-time">June 24, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-96" class="permalink" rel="bookmark">do we need to have a google</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-99">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-99" class="permalink" rel="bookmark">No.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-136"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-136" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 16, 2008</p>
    </div>
    <a href="#comment-136">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-136" class="permalink" rel="bookmark">Google</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am rather new to Tor and do not know its history and various stages of development.  In any case, I am probably stating the obvious but here goes........</p>
<p>Based upon what I have seen forming around us though, I would read the first three words and stop.<br />
"Google is funding"</p>
<p>So what has happened here? The people that maintain and update the Tor software probably did so gladly for a while. They realized they needed money, probably asked for donations and nobody participated.  The people maintaining Tor were disappointed.</p>
<p>Meanwhile.......<br />
Google has a "fit" when you visit it with Tor.  It doesn't know what to do! Captcha this and "sorry about that" and whatever whatever.</p>
<p>So, Google got angry. "How dare these little pinheads? We'll make them an offer they can't refuse."</p>
<p>So the Tor people were approached. "But we have to maintain privacy! We cannot sacrifice that" they cried. </p>
<p>"Yeah, yeah take the money and shut the hell up" Google replied.<br />
"We'll help you with the crap to post on your site so again just take the money and shut up."</p>
<p>And as you all know that is what happened. It gets "glossed over".</p>
<p>Looking forward, what will happen is that many will leave Tor. Once the "takeover" is forgotten a new generation of privacy seekers will download Tor thinking it is what it once was. Those able to tell the difference will have been pushed farther and farther to the fringes until they are eventually using smoke signals to communicate. At which point of course, smoke signals will be taken to court and sued because they damage the environment.</p>
<p>At this juncture, people have to realize that the average person "knows too much"  This has happened because of the Internet.<br />
It is only natural that the last bastion of freedom (aside from living on a deserted island or remote mountain) will be attacked.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-194"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-194" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-136" class="permalink" rel="bookmark">Google</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-194">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-194" class="permalink" rel="bookmark">You mean the ignorant paranoids might finally LEAVE?? REALLY??</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Woah, you're telling me that all Tor has to do is accept money from Google and all the crazies and paranoids will go somewhere else? Holy shit. Maybe or-talk will become usable again and people will think and read before posting insane drivel. </p>
<p>Fuck, I know a couple of people who work for Google already. I bet I can get them to give the Tor devs $5 each right now if it meant Tor might have a reasonable mailinglist and blog forum.</p>
<p>Why didn't the devs think of this earlier?? Pure genius!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4281"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4281" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 07, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-194" class="permalink" rel="bookmark">You mean the ignorant paranoids might finally LEAVE?? REALLY??</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4281">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4281" class="permalink" rel="bookmark">Yo,
This is not in a power</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yo,<br />
This is not in a power of your "Google worker" to decide which policy to endorse. Secondly, they will DO and BAND-OVER at any given time The Almightiness tell them to do. Or - file for State Unemployment Benefits next month.<br />
Is that enough reason to Do and DEVELOP what Google ask from its employees.<br />
So what we're all saying is even before Google approached Tor for some "friendly" coding together for good", we have NO CLUE who's watching us in their Network pits. Do you know for sure?<br />
Plus different servers were we all "going" in order to pull data that we need may have different types of "watchers activities", and different level of such.<br />
Its just Tor's reason to turn to The Giant for such lame issue. Not even issue in my opinion.<br />
And hey, maybe this Captcha was setup specifically to check your input for specific set of tries? Like these first phone calls identifiers were set for at least 45 secs of connection to naildown.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-137"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-137" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 16, 2008</p>
    </div>
    <a href="#comment-137">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-137" class="permalink" rel="bookmark">Oh yeah.....
We can&#039;t forget</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Oh yeah.....<br />
We can't forget that very soon after the release of the new "Google-ized" software, the old software ("non-Googlized") will be steered towards a timely death.</p>
<p>"Download the new TOR! The best, fastest and safest version is here!"</p>
<p>Eventually we will all wind up on youtube for our daily spelling lessons. In reality even if you do know how to spell, you forget what you know after reading some of those posts.</p>
<p>Besides, the people maintaining Tor were/are more than capable of creating their own auto-update feature and didn't need Google funding to do so.</p>
<p>We all need money to live and we all have dreams of being prosperous, successful and happy. This, however, is not accomplished by selling your soul to the devil. We never appreciate what we have until we lose it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-191"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-191" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Christhewelshman (not verified)</span> said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-137" class="permalink" rel="bookmark">Oh yeah.....
We can&#039;t forget</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-191">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-191" class="permalink" rel="bookmark">Google and Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If google is so beneficent, why are there so many addons for firefox to eliminate its tracking features? We don't have to be fully paid up members of the tinfoil hat brigade to be suspicious of this proposal.</p>
<p>Once Tor joins up with google, it will have lost its edge.  Who will google try to buy out next? FoxyProxy?  Or why not join up with Special Branch and the CIA to log every single use of Tor?</p>
<p>Good luck!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-198"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-198" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-191" class="permalink" rel="bookmark">Google and Tor</a> by <span>Christhewelshman (not verified)</span></p>
    <a href="#comment-198">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-198" class="permalink" rel="bookmark">Perhaps you misread the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Perhaps you misread the post, here's a fine, sane comment on the situation:<br />
<a href="https://blog.torproject.org/blog/google-funds-auto-update-vidalia#comment-98" rel="nofollow">https://blog.torproject.org/blog/google-funds-auto-update-vidalia#comme…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-192"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-192" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
    <a href="#comment-192">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-192" class="permalink" rel="bookmark">@#$@!#$@!~# TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>People abusing websites using TOR to keep getting in.</p>
<p>And now you want money to help enable this - screw that. I wonder how long this will stay up since TOR seems to think helping this sort of crap happening to other sites is no big deal.</p>
<p>Here is an idea - give us website owners a way to BLOCK TOR users that are causing problems. Otherwise get bent.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-193"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-193" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-192" class="permalink" rel="bookmark">@#$@!#$@!~# TOR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-193">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-193" class="permalink" rel="bookmark">Re: @#$@!#$@!~# TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Google is your friend:<br />
<a href="https://www.torproject.org/faq-abuse.html.en#Bans" rel="nofollow">https://www.torproject.org/faq-abuse.html.en#Bans</a><br />
<a href="https://www.torproject.org/tordnsel/" rel="nofollow">https://www.torproject.org/tordnsel/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-199"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-199" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-193" class="permalink" rel="bookmark">Re: @#$@!#$@!~# TOR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-199">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-199" class="permalink" rel="bookmark">How about just allow us to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How about just allow us to come to you and get exempted from your customers. I've only got one guy coming from TOR out of nearly 20,000. So a place that says "keep TOR off my server" and keep us from having to deal with the headaches you cause.</p>
<p>Seems like a reasonable request to me.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-200"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-200" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-199" class="permalink" rel="bookmark">How about just allow us to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-200">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-200" class="permalink" rel="bookmark">Sort of like the &quot;no call&quot;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sort of like the "no call" list for marketers. I like that idea.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-202"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-202" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 19, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-200" class="permalink" rel="bookmark">Sort of like the &quot;no call&quot;</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-202">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-202" class="permalink" rel="bookmark">Me toooo!!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yeah, I third the nomination. Where can I inform the <a href="http://tools.rosinstrument.com/proxy/" rel="nofollow">millions</a> <a href="http://proxy-list.org/en/" rel="nofollow">of</a> <a href="http://www.atomintersoft.com/products/alive-proxy/proxy-list/" rel="nofollow">open</a> <a href="http://www.samair.ru/" rel="nofollow">proxy</a> <a href="http://www.multiproxy.org/all_proxy.htm" rel="nofollow">operators</a> while I'm at it? Will the Tor project please volunteer to contact them for me as well? It would be really nice if they would. One less thing for me to deal with.</p>
<p>And this whole Internet thing. I hate it when it sends packets to me. If only someone would provide me with a list of all the IP addresses so I could ask ARIN to contact them all for me. That sure would make my life easier.</p>
<p>Or better still, <a href="http://www.zefrank.com/theshow/archives/2006/06/post_3.html" rel="nofollow">can't we just shut 'er down</a>?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-206"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-206" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 20, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-192" class="permalink" rel="bookmark">@#$@!#$@!~# TOR</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-206">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-206" class="permalink" rel="bookmark">I support Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I support Tor for the same reason you are against it.   Web site abuse goes both ways.  I use it to gain access to the DemocraticUnderground site that will ban you by IP address the instant that you question ANYONE's stupid liberal (lack of) logic.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-204"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 19, 2008</p>
    </div>
    <a href="#comment-204">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204" class="permalink" rel="bookmark">Or how about TOR quit acting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Or how about TOR quit acting like they don't help people create issues when they know they do. And quit hiding behind their product by being so sanctimonious. How long until backlash starts? I saw that Wikapedia is getting fed up with them - how long until Youtube, Vbulletin, and others start trying to come up with ways to totally shut out TOR because TOR thinks they are not creating an issue at all?</p>
<p>Sure - act like you are just providing a nice service while you are really making it easy for some no-tallent hack to continue to bypass security on sites run by the other average joe that doesn't want to try to get a Phd in Computer Science to shut out some of the worst idiots on our sites that have downloaded TOR</p>
<p>Thanks for the sarcasm there fucktard</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-205"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-205" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 19, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-204" class="permalink" rel="bookmark">Or how about TOR quit acting</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-205">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-205" class="permalink" rel="bookmark">Are you really still posting?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Your position wasn't being ignored. Maybe you just have trouble reading?</p>
<p>Didn't someone already give you this information:</p>
<p><a href="https://www.torproject.org/faq-abuse.html.en#Bans" rel="nofollow">https://www.torproject.org/faq-abuse.html.en#Bans</a><br />
<a href="https://www.torproject.org/tordnsel/" rel="nofollow">https://www.torproject.org/tordnsel/</a></p>
<p>I think the sarcasm was directed at you because you're not paying any attention and seem to just want to complain about technology. Tor is not your problem, your system is. </p>
<p>As soon as you ban Tor, your troll(s) will just download <a href="http://foxyproxy.mozdev.org/" rel="nofollow">FoxyProxy</a> and use it with one of those lists the other poster gave. Heck, it even has its own lists! What will you do then? Tell the FoxyProxy author he's destroying the Internet? Or maybe you'll blame Firefox next for supporting proxies.</p>
<p>So how about you devote your energy to a real solution for dealing with trolls. Maybe require each user to have an email account and go through a waiting period before contributing content. The best way to stop trolls is to make it boring and slow for them to get reaction. Or even better, some CMS's have "Troll" modules that allow you to make a Troll's posts only visible to them. Do this with a few accounts your troll has created and they will quickly get bored without the reaction and move on.</p>
<p>Or just use the provided tools to ban Tor users from posting. That's what they're there for. But good luck if your troll finds an open proxy list..</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-216"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-216" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 25, 2008</p>
    </div>
    <a href="#comment-216">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-216" class="permalink" rel="bookmark">Freespeech is definitely</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Freespeech is definitely more important than the bottom line.<br />
I would rather lose all my clients from hacking attempts, than lose my freedom.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-223"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-223" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 29, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-216" class="permalink" rel="bookmark">Freespeech is definitely</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-223">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-223" class="permalink" rel="bookmark">Why Not More Profile for ToR on Privacy Sites?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I stumbled upon TOR by accident and wonder, if it offers as much protection as it sounds, why is it not profiled on more sites like <a href="http://www.cogipas.com/" rel="nofollow">http://www.cogipas.com/</a> or <a href="http://www.privacyresources.org/" rel="nofollow">http://www.privacyresources.org/</a> ?  Cheers!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-574"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-574" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>kean (not verified)</span> said:</p>
      <p class="date-time">January 26, 2009</p>
    </div>
    <a href="#comment-574">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-574" class="permalink" rel="bookmark">hello</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have something to ask because VIDALIA was working properly. Unfortunately, when i chekced my Youtube all videos not working same all mp3 widgets.</p>
<p>How can i view all the videos in YouTube or in other sites?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-678"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-678" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 18, 2009</p>
    </div>
    <a href="#comment-678">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-678" class="permalink" rel="bookmark">how to cancel the update alart screen?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>once start up the computer,it have screen remind need to update, and said our tor is old version.</p>
<p>if I don't want to update, and donte want have the remind screen again, what can i do.</p>
<p>thank you</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-912"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-912" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 04, 2009</p>
    </div>
    <a href="#comment-912">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-912" class="permalink" rel="bookmark">If you introduce an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you introduce an autoupdate function you must have an option to disable the updates.<br />
People must have the ability to choose for them selfs when they should update the software, if they want to.</p>
<p>Depending on what settings you use in torrc it could become a securityrisk if the software updates itself and don't work as supposed thereafter, as has happened numerous time before when one changes versions.</p>
<p>Also the software should not "dial home"/check for updates with certain intervalls if you disable this autoupdate function, it could also be an security issue.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3322"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3322" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 24, 2009</p>
    </div>
    <a href="#comment-3322">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3322" class="permalink" rel="bookmark">oh, i&#039;m sure people will</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>oh, i'm sure people will want a "friendly" auto-update on their software</p>
<p>a "friendly" auto-update feature:</p>
<p>when they "friendly" pop-up a message to tell you to update</p>
<p>or</p>
<p>when they "friendly" pop-up a message to tell you to update now or update later, very "friendly" because there is no "no" option, only "now" or "later"</p>
<p>or</p>
<p>when they "friendly" pop-up a message to tell you "update" is progressing because you click yes when you were installing a software where they place the information in some place "important!!! please read!"</p>
<p>or</p>
<p>when they "friendly" pop-up message to tell you "update" is finished because "see above"</p>
<p>or</p>
<p>when they "friendly" update your software without any message</p>
<p>WOW!!!! VERY FRIENDLY!!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4798"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4798" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 25, 2010</p>
    </div>
    <a href="#comment-4798">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4798" class="permalink" rel="bookmark">would an auto-update help me</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>would an auto-update help me use Google search? Google search requires a captcha that doesn't work in my Ubuntu Firefox Tor Privoxy Vidalia Tor-Button setup. the Google captcha shows up fine and i can usually work out the letters but all i get is another captcha.</p>
<p>perhaps you are not taking enough Google funding for code improvements? maybe if you ask for more, they will allow Tor users like me to use their search engine? maybe they can offer some helpful code changes to make Tor more compatible with  their particular search engine?</p>
<p>omg. i can't post here. cookies are required for captcha validation. aren't Tor users recommended to turn off cookies to allow for greater anonymity? as far as Google's captcha, doesn't allowing them a unique ID tracking cookie defeat the purpose of Tor?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5433"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5433" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 20, 2010</p>
    </div>
    <a href="#comment-5433">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5433" class="permalink" rel="bookmark">I have tried to set up TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have tried to set up TOR and it reportedly did not work so simplifying it would be a good idea. But 19/04/2010 in Australia a show called 4 corners had a very good story about the allegations of China using spy and tracking software and worms as well as other methods to obtain information from businesses and Government agencies alike in the wake of Rio Tinto. The allegations were very serious and concerning not just for business but for individuals going there for holidays. I had been in China 3 times and on my first visit we stayed in a hotel for a week. My personal address book went missing from our room. I did not make a fuss over it but it was a concern as I was wondering who would be interested in obtaining this information as I was not a person whom would be considered to be in possession of any secrets or information that would not be available to any police or government agency. How ever it did spoil a wonderful holiday and it happened at the end of our stay. I did not even tell my wife and she is Chinese. Surprisingly Google was one of the first companies to report their suspicion about the hack attacks and spy ware coming from China. I know Google keeps a record of browsing histories and other information when we use it. I have done some I.T courses for networking and the teachers were quick to point this out. Nothing on the internet is secret all we can do is try to minimize the effects we may suffer and hope we have not been compromised so as to loose our bank account details and other information we may consider precious. The problem is that it can get a lot more serious including black mail and extortion as well as trying to set up individuals with criminal offenses and coerce them into situations that would have them compromise their employers and spy on them. But this is not necessary these days as a lot more information can be obtained from servers that have a large data base on a very large number of people and companies. The security requirements and I.T. knowledge for 90% of the individuals are probably not reachable and even corporate basic trained PC users would struggle as it is advisable to remove your phone (like blueberry) batteries before going to meetings.The show forgot to mention that blue tooth technology can also be used to hack into mobiles from any location as long as an connection can be established ( there are programs that can be purchased or obtained to hack into mobiles from mobiles). Not sure if newer mobiles have had the security upgraded to prevent this.  So is this Google funding proposal a concern? Yes, but only if it is an attempt by Google to misuse the Tor service. But I am sure they would be able to work around the tor program if they really wanted to anyway. Perhaps they are trying to get better security for anonymous surfing and get some one else to help with the program as they now fear the outcome if their data bases are compromised. Not only that there are a lot of people using Tor programs for corporate , personal and other reasons. If the crims or agents are using similar programs there are commercial options available. And Tor would not be my choice if I had millions of dollars to spend or had a multi million dollar empire or even worked for any organization that had professional I.T. People and security infrastructure in place. And if you fear the federal agencies or state police spying on you, well you are very silly as they have ways of penetrating and obtaining most of our details it would be a matter of time and most of us would get busted within minutes. Now I.T. Teachers consider hackers as good guys as they help expose vulnerabilities that certain Operating Systems have in Particular M S Windows as it is most widely used. And most of the people using computers use Microsoft products.. Privacy legislations are just a snow ball effect to give us a false sense of security, as in reality privacy is something we are told we are legally entitled to but these days with so many data bases around the globe such as Police, Government, Health, ISP, Business, to mention a few. Unless you are from a very distant remote and backward place your details can be purchased or discovered/ revealed and you are going to have to be a ghost to remain anonymous.  Mobile telephones can be tracked by satellite and conversations can be listened in on. Bugging by organizations could be done from exchanges decades ago these days it would probably be a lot easier with new technological advances and gizmos. The old dial up INTERNET service was a lot more secure than Networked computers. Hiding your IP address or masking it may protect you from some but it is no guarantee and I dare guess it will not keep you safe for long if someone who is trained in security network hacking and has the resources to get to you. I am told by some that this is impossible unless your computer is compromised and that the spy or villain would have to have access to your machine. Well I some how believe that this may not be 100% true as your machine may have been compromised within minutes of your Initial Internet access. And this was confirmed by some Networking teachers I had. The safest option is to keep a separate NON Network PC with all your personal files and use a network PC for the transfer of the information you need to be exchanged and for browsing. But you still run the risk of infecting the non Internet PC  when you transfer files to it as certain viruses and malware needs to have continuous Security updates to have protection against the new viruses or add ware and spy ware. So your computer may suffer a sudden glitch so you would have to have a back up. Sounds like a catch 22. The biggest problem seems to be the ports that can be accessed and are open when the Operating system is written. I would like to say that Microsoft is the easiest to get into but that may not be true as I have had connections from servers using ubuntu on ports that were alien to me as I discovered that communications for updates and other reasons were what I assume placed on the OS by design but at least the tools were available to back track these as standard network tools on the OS. Where with MS products it is not that easy if you don't know how to do it and there are a lot more trained people that can hack into MS products than Linux. This is my assumption judged by the most widely used for training and other uses. So if browser security is your main concern I'd be inclined to user the least popular one or the least known one but then you may find that this may also have draw backs as if ti is open source there may be spy ware or glitches already programmed into it or vulnerabilities that were not intentionally placed on it. This would leave you at a higher risk from those that can exploit this unless you are an expert programmer and check the browser code before you start to use it and maintain the security of this personsly. But how clever and trained is the average PC user?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-7887"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7887" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 27, 2010</p>
    </div>
    <a href="#comment-7887">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7887" class="permalink" rel="bookmark">I could not agree more with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I could not agree more with the anonymous poster who pointed out that Google is, in fact, quite hostile to Tor users and anyone else who would attempt to foil Google's user tracking mechanisms.<br />
This isn't about Google being a "good" company; this is about Google's ability to maximize profit through the perfection of complete user profiles, and the sale (or compelled disclosure) of those profiles to Google clients and any government who asks.  Tor users don't want Google to have these powers:  that's why they use Tor!  This produces a FUNDAMENTAL conflict of interest when Google, claw-in-glove and out of the "goodness" of their hearts, dangles money in front of certain Tor developers.<br />
Make no mistake about it.  Google’s funding of Tor will give it the power to destroy or effectively disable Tor’s ability to protect Tor users, and must be vigorously opposed.  We must find some way to satisfy the lust for money on the part of certain Tor developers OTHER THAN TO HAVE GOOGLE PUT THEM ON THE PAYROLL.  Perhaps, we should throw the rascals right out.  Let them go to work for Google, where we can keep a proper eye on them!  Failing this, we need to think hard and fast about alternatives to Tor!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-10062"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-10062" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 12, 2011</p>
    </div>
    <a href="#comment-10062">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-10062" class="permalink" rel="bookmark">its says to be released in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>its says to be released in 2008 is it out yet ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-10078"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-10078" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 15, 2011</p>
    </div>
    <a href="#comment-10078">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-10078" class="permalink" rel="bookmark">who ever thinks Google is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>who ever thinks Google is not in bed with the GOV bureaucrats is a fool, read the news.</p>
<p>And once again, the CAPTCHA NEVER works, I have yet to get past it. I have to use Yahoo with Tor.<br />
Google is NOT working with Tor users, but rather against them.</p>
<p>Google has gotten too large, they need to be boycott. STOP USING GOOGLE search engine and their services. The only thing they're good for is Google Earth. This reminds me of the Malaysia ISP that block all Torrent traffic with no option to use it.</p>
<p>Stop using Google fools.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-11924"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-11924" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 28, 2011</p>
    </div>
    <a href="#comment-11924">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-11924" class="permalink" rel="bookmark">so this feature was</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>so this feature was abandoned? is there even a trac ticket for it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-13412"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-13412" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 07, 2012</p>
    </div>
    <a href="#comment-13412">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-13412" class="permalink" rel="bookmark">google released statistics</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>google released statistics about how many items they have to remove from youtube or their search results. They did it to combat government censorship in western countries.</p>
<p>On-Topic: Wish this feature would exist...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-15417"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-15417" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2012</p>
    </div>
    <a href="#comment-15417">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-15417" class="permalink" rel="bookmark">what happened to this auto</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>what happened to this auto update feature?</p>
<p>btw im thinking it should be simple to write a .bat script or similar to check for new versions of tor and autoupdate it, i cant be the only one to have thought of this, does anyone know of a decent implementation of an autoupdate script  for windows?</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
